com.ihr.xbrl.pojo.etl

## Interface ExtractionTableInterface

- All Known Implementing Classes:
    ExtractionTableImpl

      public interface ExtractionTableInterface

  This is the interface that .
  Author:
    Ignacio

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCompanyID()` Gets the company id.
    `java.util.Date` | `getEndDate()` Gets the end date.
    `XBRLFact` | `getFact()` Gets the fact.
    `XBRLInstance` | `getInstance()` Gets the single instance of ExtractionTableInterface.
    `java.util.Date` | `getStartDate()` Gets the start date.
    `void` | `setCompanyID(java.lang.String companyID)` Sets the company id.
    `void` | `setEndDate(java.util.Date endDate)` Sets the end date.
    `void` | `setFact(XBRLFact fact)` Sets the fact.
    `void` | `setInstance(XBRLInstance instance)` Sets the instance.
    `void` | `setStartDate(java.util.Date startDate)` Sets the start date.

- - ### Method Detail

    - #### getInstance

          XBRLInstance getInstance()

      Gets the single instance of ExtractionTableInterface.
      Returns:
        the instance

    - #### setInstance

          void setInstance(XBRLInstance instance)

      Sets the instance.
      Parameters:
        `instance` - the instance to set

    - #### getStartDate

          java.util.Date getStartDate()

      Gets the start date.
      Returns:
        the startDate

    - #### setStartDate

          void setStartDate(java.util.Date startDate)

      Sets the start date.
      Parameters:
        `startDate` - the startDate to set

    - #### getEndDate

          java.util.Date getEndDate()

      Gets the end date.
      Returns:
        the endDate

    - #### setEndDate

          void setEndDate(java.util.Date endDate)

      Sets the end date.
      Parameters:
        `endDate` - the endDate to set

    - #### getCompanyID

          java.lang.String getCompanyID()

      Gets the company id.
      Returns:
        the companyID

    - #### setCompanyID

          void setCompanyID(java.lang.String companyID)

      Sets the company id.
      Parameters:
        `companyID` - the companyID to set

    - #### getFact

          XBRLFact getFact()

      Gets the fact.
      Returns:
        the fact

    - #### setFact

          void setFact(XBRLFact fact)

      Sets the fact.
      Parameters:
        `fact` - the fact to set